<template>
  <v-container>
    <v-row>
      <v-col align-self="center" style="height: 100%;" cols="6">
        <LogoLogin />
      </v-col>
      <v-col cols="6">
        <LoginForm @loginError="openEerrorMessage" />
      </v-col>
    </v-row>
    <v-snackbar v-model="errorMessage" color="error" :timeout="2000">
      Login ou Senha Inválidos - use username: admin e password:admin
      <template #actions>
        <v-btn
          color="pink"
          variant="text"
          @click="snackbar = false"
        >
          Fechar
        </v-btn>
      </template>
    </v-snackbar>
  </v-container>
</template>
<script>
import LogoLogin from '@/components/auth/LogoLogin.vue'
import LoginForm from '@/components/auth/LoginForm.vue'

export default {
  name: 'SignInPage',
  components: {
    LoginForm,
    LogoLogin
  },
  layout: 'login',
  data: function () {
    return {
      errorMessage: false
    }
  },
  methods: {
    openEerrorMessage () {
      this.errorMessage = true
    }
  }
}

</script>
